// I may fail a thousand times
// But there is no giving up
// IOI - here I come
#include <bits/stdc++.h>
#define int long long
using namespace std;
void solve(){
	string a,b,ans="";cin>>a>>b;
	int sza=(int)a.size(),szb=(int)b.size();
	for(int i=0;i<max(sza,szb);i++){
		if(i>sza)ans+=b[szb-1-i];
		else if(i>szb)ans+=a[sza-1-i];
		else if(a[sza-1-i]>b[szb-1-i])ans+=a[sza-1-i];
		else if(a[sza-1-i]<b[szb-1-i])ans+=b[szb-1-i];
		else ans+=a[sza-1-i],ans+=b[szb-1-i];
	}
	reverse(ans.begin(),ans.end());
	cout<<ans<<'\n';
}
signed main(){
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	int t=1;
	for(;t;t--){
		solve();
	}
	return 0;
}